include:
  template: SAST.gitlab-ci.yml

stages:
  - install
  - test

cache:
  paths:
    - node_modules/

Install:
  stage: install
  tags:
    - frontend
  script:
    - yarn install --prefer-offline

Test:
  stage: test
  tags:
    - frontend
  script:
    - yarn test:unit
    - yarn test:int || true

Integration Test:
  stage: test
  tags:
    - frontend
  script:
    - yarn test:int
  only:
    - staging
    - prod
